com.mapinfo.midev.geometry

## Interface IPoint

All Superinterfaces:
  IFeatureGeometry, IGeometry, Serializable

    public interface IPoint
    extends IFeatureGeometry

An `IFeatureGeometry` that represents a single point on the earth.

See Also:
  `IFeatureGeometry`, `GeometryType.ALL_FEATURE_GEOMETRY_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IPoint` `getCopy()` Returns a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.
`IPoint` `getCopy(CoordSys crs)` Returns a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.
`DirectPosition` `getDirectPosition()` Return the `IDirectPosition` that this point represents.
`MValue` `getM()` Returns the M value of the location of the point.
`double` `getX()` Returns the X ordinate of the location of the point.
`double` `getY()` Returns the Y ordinate of the location of the point.
`double` `getZ()` Returns the Z ordinate of the location of the point.

### Methods inherited from interface com.mapinfo.midev.geometry.IFeatureGeometry

`getRepresentativePoint, initializeRepresentativePoint, setRepresentativePoint`

### Methods inherited from interface com.mapinfo.midev.geometry.IGeometry

`contains, getArea, getCoordSys, getDimension, getEnvelope, getPerimeter, getSpatialInfo, getType, isEmpty, isTransient, mAllSet, mSet, zAllSet, zSet`

### Method Detail

#### getX

    double getX()

Returns the X ordinate of the location of the point.

Returns:
  the X ordinate of the location of the point.

#### getY

    double getY()

Returns the Y ordinate of the location of the point.

Returns:
  the Y ordinate of the location of the point.

#### getZ

    double getZ()

Returns the Z ordinate of the location of the point. Not used.

Returns:
  the X ordinate of the location of the point.

#### getM

    MValue getM()

Returns the M value of the location of the point. Not used.

Returns:
  the X ordinate of the location of the point.

#### getDirectPosition

    DirectPosition getDirectPosition()

Return the `IDirectPosition` that this point represents.

#### getCopy

    IPoint getCopy()

Description copied from interface: `IFeatureGeometry`
Returns a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.

Specified by:
  `getCopy` in interface `IFeatureGeometry`
Specified by:
  `getCopy` in interface `IGeometry`
Returns:
  a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.
See Also:
  `IFeatureGeometry.getCopy(com.mapinfo.midev.coordsys.CoordSys)`, `IGeometry.isTransient()`

#### getCopy

    IPoint getCopy(CoordSys crs)

Description copied from interface: `IFeatureGeometry`
Returns a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.

Specified by:
  `getCopy` in interface `IFeatureGeometry`
Specified by:
  `getCopy` in interface `IGeometry`
Parameters:
  `crs` - coordinate system of the returned copy
Returns:
  a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.
See Also:
  `IGeometry.isTransient()`